{
  stdenv,
  fetchFromGitHub,
  lib,
  pidgin,
  glib,
  json-glib
}:

stdenv.mkDerivation rec {
  pname = "purple-teams";
  version = "34c73b2bceddc257843fe8f5d13babb972090029";
  src = fetchFromGitHub {
    owner = "EionRobb";
    repo = pname;
    rev = version;
    sha256 = "CsgkgnP+rieSfaS0TMnbjWb1y0xyuf+pL/yoe/WPRUk=";
  };

  PKG_CONFIG_PURPLE_PLUGINDIR = "${placeholder "out"}/lib/purple-2";
  PKG_CONFIG_PURPLE_DATAROOTDIR = "${placeholder "out"}/share";

  nativeBuildInputs = [
    pidgin
    glib
    json-glib
  ];

  meta = with lib; {
    homepage = "https://github.com/EionRobb/purple-teams";
    description = "Plugin for Pidgin which adds support for Microsoft Teams";
    license = licenses.gpl3;
    platforms = platforms.linux;
  };
}
